/// <reference types="react" />
import { InitialExtendValuesWrappers } from '../types/Initial/Wrapper';
import { SortOptions } from '../stores/options/types/SortOptions';
import { DefaultOptions } from '../stores/options/types/DefaultOptions';
import Options from '../types/Options';
export interface Context {
    query: object;
    initialValuesWrappers: InitialExtendValuesWrappers[];
    sortOptions: SortOptions;
    defaultOptions: DefaultOptions;
    options: Options;
}
declare const Context: import("react").Context<Context>;
export default Context;
