import { ObjectArrayBoolean, ObjectArrayNumber, ObjectArrayString } from '../../types/Initial/Array';
import { ObjectBoolean } from '../../types/Initial/Boolean';
import { ObjectJson } from '../../types/Initial/Json';
import { ObjectNumber } from '../../types/Initial/Number';
import { ObjectString } from '../../types/Initial/String';
import { ActionOnChange } from '../../types/ActionOnChange';
declare function useLocationField(name: string, value: ObjectString | string): [string, (value: string, actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string, value: ObjectNumber | number): [number, (value: number, actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string, value: ObjectBoolean | boolean): [boolean, (value: boolean, actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string, value: ObjectJson): [any, (value: any, actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string, value: ObjectArrayBoolean | boolean[]): [boolean[], (value: boolean[], actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string, value: ObjectArrayNumber | number[]): [number[], (value: number[], actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string, value: ObjectArrayString | string[]): [string[], (value: string[], actionOnChange?: ActionOnChange) => void];
declare function useLocationField(name: string): [any, (value: any, actionOnChange?: keyof ActionOnChange) => void];
export default useLocationField;
